paso::Preconditioner_AMG_Root Struct Reference

`#include <Preconditioner.h>`

## Public Attributes

bool | is_local
Preconditioner_AMG * | amg
Preconditioner_LocalAMG * | localamg
Preconditioner_BoomerAMG * | boomeramg
int | sweeps
Preconditioner_Smoother * | amgsubstitute

## Member Data Documentation

## amg

Preconditioner_AMG* paso::Preconditioner_AMG_Root::amg

Referenced by paso::Preconditioner_AMG_Root_alloc(), paso::Preconditioner_AMG_Root_free(), and paso::Preconditioner_AMG_Root_solve().

## amgsubstitute

Preconditioner_Smoother* paso::Preconditioner_AMG_Root::amgsubstitute

Referenced by paso::Preconditioner_AMG_Root_alloc(), paso::Preconditioner_AMG_Root_free(), and paso::Preconditioner_AMG_Root_solve().

## boomeramg

Preconditioner_BoomerAMG* paso::Preconditioner_AMG_Root::boomeramg

Referenced by paso::Preconditioner_AMG_Root_alloc(), paso::Preconditioner_AMG_Root_free(), and paso::Preconditioner_AMG_Root_solve().

## is_local

bool paso::Preconditioner_AMG_Root::is_local

Referenced by paso::Preconditioner_AMG_Root_alloc().

## localamg

Preconditioner_LocalAMG* paso::Preconditioner_AMG_Root::localamg

Referenced by paso::Preconditioner_AMG_Root_alloc(), paso::Preconditioner_AMG_Root_free(), and paso::Preconditioner_AMG_Root_solve().

## sweeps

int paso::Preconditioner_AMG_Root::sweeps

Referenced by paso::Preconditioner_AMG_Root_alloc(), and paso::Preconditioner_AMG_Root_solve().

The documentation for this struct was generated from the following file:

- Preconditioner.h